﻿using System.Windows;
using Monitor.Interfaces;
using Monitor.ViewModels;
using Monitor.Views;
using Microsoft.Practices.Unity;
using Prism.Unity;

namespace Monitor
{
    public class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
          return  Container.Resolve<Shell>();
        }

        protected override void InitializeShell()
        {
           Application.Current.MainWindow.Show();
        }

        protected override void ConfigureContainer()
        {
            base.ConfigureContainer();
  
            Container.RegisterType<IMonitorsSetViewModel, MonitorsSetViewModel>();
            Container.RegisterType<IAnim3DtextViewModel,  Anim3DtextViewModel>();
        }
    }
}
